
    <h3>Filter by Channel</h3> 
    <p-dropdown [options]="stationsData" name="channel" [(ngModel)]="apiService.stationData" placeholder="{{ currentStation }}"
    (onChange)="selectChannel($event.value)">
      <ng-template let-item pTemplate="selectedItem">
        <img src={{item.image}} class="logoImage"/>
        <span class="title">{{item.label}}</span>
      </ng-template>
      <ng-template let-type pTemplate="item">
        <div class="ui-helper-clearfix">
          <img src="{{type.image}}" class="stationImage" />
          <div class="stationName">{{type.label}}</div>
        </div>
      </ng-template>
    </p-dropdown>

